> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getplum.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a new seed dataset



## OpenAPI

````yaml https://raw.githubusercontent.com/getplumai/docs/refs/heads/main/api-reference/openapi.yaml post /data/seed
openapi: 3.0.0
info:
  title: Plum API
  version: 1.1.0
servers:
  - url: https://beta.getplum.ai/v1
security: []
paths:
  /data/seed:
    post:
      summary: Upload a new seed dataset
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: array
                  items:
                    type: object
                    properties:
                      input:
                        type: string
                      output:
                        type: string
                      id:
                        type: string
                system_prompt:
                  type: string
              required:
                - data
                - system_prompt
      responses:
        '200':
          description: Dataset successfully uploaded
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````